c
c *** WARNING ***
c must be preceded by the include file hec_par.inc
c
c ntuple common
c
c sssntrun  --  run header ntuple
c               nt_runno     i    run number
c               nt_beamen    r    beam energy
c               nt_noevt     i    number of events
c               nt_parttyp   i    particle type
c               nt_cryox     r    cryostat position in x
c               nt_tabley    r    table position in y
c               nt_peakf     i    peak finding method used
c               nt_runpd     i    run period
c               nt_nocell    i    number of cells used
c               nt_calibf    c    calibration file used
c
c sssntsc   --  slow controls ntuple
c               nt_lartmp    r    liquid argon temperature
c               nt_press     r    cryostat pressure
c               nt_time      r    time data was taken
c
c sssntevt  --  event ntuple
c               nt_evntno     i    event number
c               nt_trig       i    trigger flag array (1=true, 0=false)
c                                  nt_trig(1) = physics
c                                  nt_trig(2) = electron
c                                  nt_trig(3) = pion    
c                                  nt_trig(4) = muon    
c                                  nt_trig(5) = random  
c               nt_cells_used i    number of channel used
c               nt_ic         i    ic number for each channel
c               nt_iz         i    z layer # of each channel
c               nt_adcmx      r    max adc value for each channel
c               nt_timmx      r    time of adc max for each channel
c               nt_ene        r    energy of each channel (nA)
c               nt_pedest     r    pedestal for each channel
c               nt_ped_rms    r    pedestal r.m.s. for each channel
c               nt_chflag     i    channel flag (1=good, 0=bad)
c
      integer nt_runno,nt_noevt,nt_parttyp,nt_peakf,nt_runpd,nt_nocell
      real nt_beamen,nt_cryox,nt_tabley
      character*8 nt_calibf
c
      real nt_lartmp,nt_press,nt_time          
c
      integer nt_evntno,nt_trig(5),nt_cells_used
      integer nt_ic(i_adc_dim),nt_iz(i_adc_dim)
      real nt_adcmx(i_adc_dim),nt_timmx(i_adc_dim),nt_ene(i_adc_dim)
      real nt_pedest(i_adc_dim),nt_ped_rms(i_adc_dim)
      integer nt_chflag(i_adc_dim)
c
      common /sssntrun/ nt_runno,nt_beamen,nt_noevt,nt_parttyp,
     +                  nt_cryox,nt_tabley,
     +                  nt_peakf,nt_runpd,nt_nocell,nt_calibf 
c
      common /sssntsc/ nt_lartmp,nt_press,nt_time
c
      common /sssntevt/ nt_evntno,nt_trig,
     +                  nt_cells_used,
     +                  nt_ic,nt_iz,
     +                  nt_adcmx,nt_timmx,
     +                  nt_ene,nt_pedest,nt_ped_rms,
     +                  nt_chflag





