#
#
# It should only be necessary to change two things:
# 1) to add a new routine, add it to the object list
# 2) add any include files to the include list.
#
#
# VPATH sets where to look for include files (besides the current
# directory)
#
VPATH=../inc
#
# list of objects and include files
#
OBJECTS = hec_online_call.o
#
INC     = 
#
# user should not need to change anything below this point.
# CHANGE BELOW THIS POINT AT YOUR OWN RISK
#
#
# now figure out compiler and options for this platform
#
PLATFORM=$(shell uname)
#
# HP Unix
#
ifeq "$(PLATFORM)" "HP-UX"
  LIB = -L/cern/pro/lib -lpawlib -lgraflib -lgrafX11 \
        -lpacklib -lkernlib -lmathlib -lm -lX11
  COMP         = fort77 -c +ppu  -O2 -I../inc
  LINK         = fort77 +ppu -O2
  LIB_NAME     = hec_adc.a
  OS_EXTENTION = 
endif
#
# IBM (AIX) operating system 4.1 
#
ifeq "$(PLATFORM)" "AIX"                  
  LIB       = `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib`
  COMP         = xlf -O2 -u -qextname -qcharlen=32767 -qrndsngl -c \
                     -qobj -qnolist -qrecur -I../inc
  LINK         = xlf -O2
  LIB_NAME     = hec_adc_AIX.a
  OS_EXTENTION = 
endif
#
# DEC ALPHA OSF 3.2
#
ifeq "$(PLATFORM)" "OSF1"
  LIB        = `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib'
  COMP         = f77 -c -C -O2 -I../inc
  LINK         = f77 -C -O2
  LIB_NAME     = hec_adc_ALPHA.a
#  OS_EXTENTION = -lm_4sqrt
  OS_EXTENTION = 
endif
#
# compile 
#
hec_online_call : $(OBJECTS) ../$(LIBNAME)
	$(LINK) *.o ../$(LIB_NAME) -o hec_online_call.exe $(LIB) $(OS_EXTENTION)
#
# define how to make an object from a .f file
#
.f.o :
	$(COMP) $<
#
# objects depend on the include files
#
$(OBJECTS) : $(INC)
