      subroutine hec_dig_evt
c
c find the signal peak using digital filtering method
c
      implicit none
c
      include'hec_par.inc'      ! shared parameters
      include'hec_adc.inc'      ! adc values
      include'hec_dig.inc'      ! digital filtering common
      include'hec_dig_sys.inc'  ! digital filtering system common
      include'hec_geo.inc'      ! geometry correspondence tables
      include'hec_ped.inc'      ! pedestal vaules
c
c local variables
c
      integer ic, i_t, newtime
      real slices(mx_nslice_dig), amplitude, time
c
c initialize variables
c
      call vzero(adc_dig_ic,i_adc_dim*2)
      call vzero(slices,mx_nslice_dig)
c
c calculate weights for each timeslice, for each channel, for this event
c
      call hec_dig_calc_weights
c
c apply weights and make fit. Pass in array containing 5 time slices 
c to fit on (this array numbers the slices 1->5)
c
      do ic = 1, i_adc_used
        newtime = 0
        do i_t = dig_tzero,(dig_tzero + nslice_dig - 1)
          newtime = newtime + 1
          slices(newtime) = real(i_adc_ic_t(ic,i_t)-adc_ped(ic))
        enddo
c
        call hec_dig_fit(ic,slices,amplitude,time)
c
c fill hec_dig common block
c
        adc_dig_ic(ic,1) = amplitude
        adc_dig_ic(ic,2) = time
ccc
ccc      print *,'ic, amp, time ', ic,adc_dig_ic(ic,1),adc_dig_ic(ic,2) 
ccc
      enddo
c
      return
      end
