      subroutine hec_online_ana1
c
c 
c
      implicit none
c
      include'hec_par.inc'          ! shared parameters
      include'hec_geo.inc'          ! geometry correspondence tables
      include'hec_his_sys.inc'      ! histogram system common
      include'hec_online.inc'       ! onoline common
      include'hec_runh.inc' ! run header common

c
c local variables
c
      integer i_z, index(nclust_dim), iclus
      real sum,ave,depth_ave(i_z_max),clus_ave(nclust_dim)
c
c if adcs are not read out for this run, do not try to fill histograms
c
      if (.not. calo_on_flag) then
        print *,' '
        print *,'WARNING!!!: ADCs not read out, skipping most'
     +         ,'            histograms (hec_online_ana1)'
        print *,' '
        return
      endif
c
c calculate pedestal mean and rms values
c
      call hec_ped_ana1
c
c call histo filling routine
c
      call hec_his_ana1
c
c get ratios of energies in different depths
c     
      sum = 0.
      do i_z = 1, i_z_used
         depth_ave(i_z) = depth_mom1(i_z)/depth_mom0(i_z)
         sum = sum + depth_mom1(i_z)
      enddo
      ave = sum/depth_mom0(1)
      do i_z = 1, i_z_used
         depth_frac(i_z) = depth_ave(i_z)/ave
      enddo
c
c get highest energy cluster
c
      call vzero(clus_ave,nclust_dim)
      do iclus = 1, nclust_dim
        if (clus_sum_mom0(iclus) .ne. 0.) 
     +       clus_ave(iclus) = clus_sum_mom1(iclus)/clus_sum_mom0(iclus) 
      enddo
      call sortzv(clus_ave,index,nclust_dim,1,1,0) 
c
c clusmax_histo_numb is stored in the online common block 
c
      clusmax_histo_numb = id_clus + index(1)
c
c output run sheet for triggers
c
      call hec_trig_sheet
c 
      end



